Mailinglist Archive: opensuse-buildservice (207 mails)

< Previous Next >
[opensuse-buildservice] How to build i686 only package in BuildService?
Hi,

there's a bug#682 in icedtea bugzilla, that JRE fails to run on i586
machine with guarantee(VM_Version::supports_cmov()) failed: illegal
instruction. After reading the code it seems JIT emits cmov* instructions, so
the produced native code cannot run on i586 processors.

I think the most clean way how to fix this in openSUSE is build our
openjdk (and Sun Java as well?) as i686 only packages as Fedora and
RedHat already does. However it seems like pretty challenging in a
BuildService, because the only one package with i686 version I'm aware
is glibc, but this approach seems not usable for openjdk, where only
i686 and not i586 version is needed.

So how can be only i686 rpm packages produced in a buildservice?

[1] http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=682

Regards
Michal Vyskocil
< Previous Next >